Bug 107837 - FILESAVE: DOCX - Section content across 3 columns appear in first column
Summary: FILESAVE: DOCX - Section content across 3 columns appear in first column
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: Section Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2017-05-14 03:56 UTC by Yousuf Philips (jay)
Modified: 2017-05-31 11:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2017-05-14 03:56:34 UTC
Steps:
1) Open attachment 49434 [details] from bug 39480
2) Notice that each column has 2 rows of text
3) Save as .docx
4) Close and reopen
5) All 6 lines appear in column 1

Regression as this doesnt happen in 4.2 and this is caused by the checkbox 'Evenly distribute contents to all columns' being disabled in Format > Columns.

Version: 5.4.0.0.alpha0+
Build ID: 74ccd02eda2d6325a27266fd935aba29b3d75020
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-27_23:51:14
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Jacques Guilleron 2017-05-14 11:05:25 UTC
Hi Yousuf,

I reproduce with
LO 5.4.0.0.alpha1+ Build ID: 0025fc13d805751f8eeb14febbdd0033e0a6d91e
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-04_05:21:32
Locale: fr-FR (fr_FR); Calc: CL
and 
LO 4.3.5.1 Build ID: 8fd0451cc08e6a5310bed8b7ad1c46b93c1c6889
but not with 
LO 4.3.4.1 Build ID: bc356b2f991740509f321d70e4512a6a54c5f243
& Windows 7 Home.
Comment 2 Buovjaga 2017-05-14 12:19:59 UTC
Repro as well (got mid-air collision with J. G.)

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: c0968aa4673a8ac9a8a09a0e291b58b94bdbb35e
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 13th 2016
Comment 3 Xisco Faulí 2017-05-14 19:18:13 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-07-17 12:59:19 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-07-17 13:29:40 (GMT)
commit	d185204737031955c56a24356ed003d342548434 (patch)
tree	e4c99398505373577adc0a8c00586e2dc46070b7
parent	256281d8e6259dc1a71624b0f8576e9deb9cdc65 (diff)
DOCX import: set DontBalanceTextColumns=true for the last section ...
... if it has multiple columns.

See wwSectionManager::InsertSegments() for the related binary import
code which already did this.

Bisected with bibisect-44max.

Adding Cc: to Miklos Vajna
Comment 4 Miklos Vajna 2017-05-26 15:32:27 UTC
The above commit is a DOCX import one, but the first problem is that even the export result is bad. I can't get to the import part till the export is fixed.

I can confirm the export part worked in LO 4.2, though.
Comment 5 Miklos Vajna 2017-05-26 16:12:08 UTC
Reverting

commit f6eb92406bd366c557bc07810649e7ab3d1db614
Author: Pallavi Jadhav <pallavi.jadhav@synerzip.com>
Date:   Tue Apr 29 18:44:16 2014 +0530

    fdo#77812 :FILESAVE :DOCX : Extra Section Break gets added in file

and also reverting

commit b6e62dc0dc2b284c825f1182a67bb2f9259a30ce
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Tue Mar 21 09:03:53 2017 +0100

    tdf#106492 DOCX export: fix duplicated section break at doc end
    
at the same time brings back the columns at the export side.
Comment 6 Commit Notification 2017-05-28 12:21:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d13a00bfa17dd610979b5d89b4f159f2e548d3d

tdf#107837 DOCX export: fix balanced multi-col section at doc end

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-05-31 11:45:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac662268e2a90e73651775090a74370973f3c57f&h=libreoffice-5-4

tdf#107837 DOCX export: fix balanced multi-col section at doc end

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.